/***************************************************************************
	file:		main.c
	product:
	project:	
	date: 		11.2013 - first release

	version 	1.00
	compiler:	Keil Cx51 V9.05

	mc:				AT89C5131A
	crystal:	24MHz

	author: 	Viktor Schabelski info@approbe.de
	licence:	Creative Commons Lizenz
                http://www.stack2Learn.de/cc.html

**************************************************/



/*-----------------------------------------------------------------------------
	includes
---------------------------------------------------*/

#include <at89c5131.h>	// Mikrocontroller Header
#include "../driver/api-004_eeprom/eeprom.h"	// EEPROM Header


void main (void){
	unsigned int address = 0x00;
	unsigned char dataByteToSend = 0xAA;
	unsigned char dataByteFromEEPROM = 0x00;
	unsigned int i = 0;
	
	// Byte schreiben
	EEPROM_WriteByte(address, dataByteToSend);
	
	// warten
	for(i = 0; i < 10000; i++);
	
	// Byte lessen
	EEPROM_ReadByte(address, &dataByteFromEEPROM);

	while(1){	
	}
}

